Detection APIs

Oil slick detection

Detect oil slicks on the sea surface from Sentinel-1 SAR imagery.

POST /api/v1/detect/oilslick

Detect oil slicks (spills) on the sea surface. Each detected polygon is returned with a stable ID.

Supported satelliteSentinel-1
Typical runtime~50 minutes
Input patternsscene_id, or polygon + date

Request

Pattern A — Scene ID

Only GRD scenes are supported

SateAIs requires Sentinel-1 GRD (Ground Range Detected) products. Find scene IDs on ASF Search with File Type = GRD. SLC and other product types are rejected with 400 INVALID_SCENE.

curl -X POST https://api.spcsft.com/api/v1/detect/oilslick \
  -H "Authorization: Bearer sk_live_xxxxx" \
  -H "Content-Type: application/json" \
  -d '{
    "satellite_id": "sentinel-1",
    "scene_id": "S1A_IW_GRDH_1SDV_20260312T150000_20260312T150025_054876_069DEF_5678"
  }'

Pattern B — Polygon + date

Same parameter semantics as the ship endpoint. SateAIs auto-selects a Sentinel-1 GRD scene.

curl -X POST https://api.spcsft.com/api/v1/detect/oilslick \
  -H "Authorization: Bearer sk_live_xxxxx" \
  -H "Content-Type: application/json" \
  -d '{
    "satellite_id": "sentinel-1",
    "polygon": "POLYGON((48.262939 28.969701, 49.086914 28.969701, 49.086914 29.496988, 48.262939 29.496988, 48.262939 28.969701))",
    "date": "2026-03-12",
    "date_direction": "nearest"
  }'

Parameters

Identical to Ship detection.

Result GeoJSON

Each feature's properties includes a stable id:

{
  "type": "FeatureCollection",
  "features": [
    {
      "type": "Feature",
      "id": 1,
      "geometry": {
        "type": "Polygon",
        "coordinates": [[[2.627, 61.216], [2.627, 61.215], [2.624, 61.215], [2.624, 61.216], [2.627, 61.216]]]
      },
      "properties": {
        "id": 1
      }
    }
  ]
}

Next steps

On this page